<template lang="pug">
section.section.services2-section
  .section__inner.services2-section__inner
    .container
      .section-heading.services2-section__heading
        h2.section-heading__title.section-heading__title--large.services2-section__title(v-if="title")
          div(v-html="title")

      .services2-section__slider(
        v-if="slides && slides.length"
      )
        .swiper-button-prev.swiper-button-prev--primary(v-if="slides.length > 1")
        .swiper-button-next.swiper-button-next--primary(v-if="slides.length > 1")
        .swiper-container(
          v-swiper:services2Images="sliderOptions"
        )
          .swiper-wrapper
            .swiper-slide(
              v-for="slide in slides"
              :key="slide.id"
            )
              nuxt-link.service-preview(v-if="slide.link" :to="slide.link")
                .service-preview__hover
                  span {{ $t('moreDetails') }}

                .service-preview__text
                  div
                    .service-preview__title(v-if="slide.title") {{ slide.title }}
                    .service-preview__descr(v-if="slide.content" v-html="slide.content")

                  .service-preview__logo
                    img(:src="`/images/logo2-${theme}.svg`" alt="")

                .service-preview__image(v-if="slide.image")
                  img(:src="slide.image" alt="")

              .service-preview(v-else)
                .service-preview__text
                  div
                    .service-preview__title(v-if="slide.title") {{ slide.title }}
                    .service-preview__descr(v-if="slide.content" v-html="slide.content")

                  .service-preview__logo
                    img(:src="`/images/logo2-${theme}.svg`" alt="")

                .service-preview__image(v-if="slide.image")
                  img(:src="slide.image" alt="")
</template>

<script>
import objectFitImages from 'object-fit-images'
import config from '@/config'

export default {
  name: 'Services2Section',

  computed: {
    theme () {
      return config.theme
    }
  },

  data () {
    return {
      sliderOptions: {
        slidesPerView: 2,
        spaceBetween: 20,
        threshold: 10,
        watchOverflow: true,
        speed: 600,
        loop: true,
        navigation: {
          prevEl: '.services2-section__slider .swiper-button-prev',
          nextEl: '.services2-section__slider .swiper-button-next'
        },
        breakpoints: {
          1230: {
            slidesPerView: 2
          },
          1024: {
            slidesPerView: 2
          },
          768: {
            slidesPerView: 1
          },
          0: {
            slidesPerView: 1
          }
        }
      }
    }
  },

  mounted () {
    objectFitImages()
  },

  props: {
    slides: {
      type: Array,
      required: true
    },
    title: {
      type: [String, null],
      required: false,
      default: null
    }
  }
}
</script>
